Loading...
Searching...
No Matches
sdbus::function_traits< void(std::optional< Error >, _Args...)> Struct Template Reference
Inheritance diagram for sdbus::function_traits< void(std::optional< Error >, _Args...)>:

## Static Public Attributes

static constexpr bool | has_error_param = true
Static Public Attributes inherited from sdbus::function_traits_base< void, _Args... >
static constexpr std::size_t | arity

## Additional Inherited Members

Public Types inherited from sdbus::function_traits_base< void, _Args... >
typedef void | result_type
typedef std::tuple< _Args... > | arguments_type
typedef std::tuple< std::decay_t< _Args >... > | decayed_arguments_type
typedef void | function_type(_Args...)
using | arg_t

The documentation for this struct was generated from the following file:

- include/sdbus-c++/TypeTraits.h